Actualizar el plugin de Flash en Debian 10

Actualizar el plugin de Flash en LinuxActualmente Adobe no saca nuevas versiones de Flash en Linux, únicamente lanza actualizaciones de seguridad y es más que seguro que en un futuro no muy lejano acabará muriendo y siendo totalmente reemplazado por html5. No obstante en algunas web y en algunos casos aun sigue siendo necesario el uso de Flash.

Si somos usuarios de Firefox, u otros navegador que utilice el plugin de Adobe, es posible que queramos visualizar un vídeo y nos encontremos con la siguiente situación:

Plugin desactualizado

Tal y como se puede ver en la captura de pantalla obtenemos el siguiente mensaje:

Este plugin es vulnerable y debe ser actualizado

Por lo tanto Firefox no nos deja visualizar el vídeo porque el plugin de Adobe está desactualizado.

Para solucionar este problema y poder visualizar el vídeo tan solo tenemos que actualizar el plugin de Adobe siguiendo los siguientes pasos.

Nota: En la redacción de este post estoy suponiendo que disponen del plugin de flash instalado. En el caso que no lo tuvieran instalado y sean usuarios de Debian o una distro derivada de Debian lo pueden instalar abriendo una terminal y tecleando el comando sudo apt-get install flashplugin-nonfree

COMPROBAR LA VERSION DEL PLUGIN QUE ESTAMOS USANDO

El primer paso a realizar es abrir una una terminal y ejecutar el siguiente comando:

sudo update-flashplugin-nonfree --status

Después de ejecutar el comando en mi caso he obtenido el siguiente resultado:

joan@debian:~$ sudo update-flashplugin-nonfree --status
[sudo] password for joan: 
FlashPlayer version installed on this system : 11.2.202.559
FlashPlayer version available on upstream site: 11.2.202.616
flash-mozilla.so - auto mode
 link best version is /usr/lib/flashplugin-nonfree/libflashplayer.so
 link currently points to /usr/lib/flashplugin-nonfree/libflashplayer.so
 link flash-mozilla.so is /usr/lib/mozilla/plugins/flash-mozilla.so
/usr/lib/flashplugin-nonfree/libflashplayer.so - priority 50

Si observamos las 2 líneas de color color rojo podemos concluir que la versión del plugin instalado en mi sistema es la 11.2.202.559 y la última versión disponible es la 11.2.202.616. Por lo tanto efectivamente mi plugin no está actualizado.

ACTUALIZAR EL PLUGIN DE FLASH A LA ÚLTIMA VERSIÓN

Para actualizar a la última versión del plugin tan solo tenemos que ejecutar el siguiente comando en la terminal:

sudo update-flashplugin-nonfree --install

Justo después de ejecutar el comando se procederá a la actualización.

COMPROBAR QUE ESTAMOS USANDO LA ÚLTIMA VERSIÓN DEL PLUGIN

Una vez finalizada la actualización volvemos a ejecutar el siguiente comando para comprobar si la versión instalada es la más actual:

sudo update-flashplugin-nonfree --status

Después de ejecutar el comando obtendremos el siguiente resultado:

joan@debian:~$ sudo update-flashplugin-nonfree --status
FlashPlayer version installed on this system : 11.2.202.616
FlashPlayer version available on upstream site: 11.2.202.616
flash-mozilla.so - auto mode
 link best version is /usr/lib/flashplugin-nonfree/libflashplayer.so
 link currently points to /usr/lib/flashplugin-nonfree/libflashplayer.so
 link flash-mozilla.so is /usr/lib/mozilla/plugins/flash-mozilla.so
/usr/lib/flashplugin-nonfree/libflashplayer.so - priority 50

Si observamos el resultado obtenido podemos afirmar que disponemos de la última versión del plugin de Adobe. Por lo tanto, tal y como se puede ver en la captura de pantalla, ahora si puedo visualizar el vídeo que no podía visualizar inicialmente.

Plugin de flash actualizado

De esta forma tan sencilla podremos seguir visualizando nuestros vídeos con el navegador Firefox, o con cualquier otro navegador que haga uso del plugin de Adobe.

COMPARTIR !Share on FacebookTweet about this on TwitterShare on Google+Share on LinkedInShare on RedditEmail this to someone

Post Relacionados

  • Desinstalar Flash Player de nuestro ordenador en Linux y en Windows8 octubre, 2016 Desinstalar Flash Player de nuestro ordenador en Linux y en Windows (4)
    La semana pasada vimos varias razones por las cuales hoy en día no es recomendable usar Adobe Flash Player en nuestro ordenador. Una vez vistas las principales razones en este artículo […]
  • Motivos para bloquear Flash player en nuestro navegador1 octubre, 2016 Motivos para bloquear Flash player en nuestro navegador (0)
    Hace años en que se comenta que Flash va a desaparecer, pero la verdad es que no acaba de desaparecer y no hace muchos días acaban de sacar una nueva versión Beta para Linux después de 4 […]
  • Notificacion email en xfce4 enero, 2014 Notificacion email en xfce (2)
    Muchos de vosotros sabrán que hace tiempo que utilizo Xfce. Concretamente estoy usando Xfce a diario desde que se termino el soporte para Ubuntu 11.04 y la verdad es que no hecho de menos […]

10 Comentarios en “Actualizar el plugin de Flash en Debian

  1. Reply jony127 Jun 26,2016 22:15

    Hola,

    a mí ese comando en mint no me lo reconoce. De todas formas ¿flash no se actualiza via repositorio?

    • Reply Joan Carles Jun 26,2016 22:29

      Hola buenas

      Cada distro es una historia diferente. El procedimiento funciona en Debian pero por lo que veo en Ubuntu o en mint según comentas no. Cada distro tiene paquetes distintos en los repositorios para instalar flash. por ejemplo en ubuntu-mint es el flashplugin-instaler mientras que en debian es el flashplugin-nonfree

      Cuando usaba Ubuntu el plugin si que se actualizaba directamente del repositorio, pero actualmente no se si es así. En debian la actualización no es automática.

      Acabaré cambiando el título del post. Así no causará confusión a la gente.

      Saludos

  2. Reply Ramón Jun 27,2016 20:47

    Bueno, tendremos la última versión disponible para GNU/Linux con parches de seguridad, mas no la versión más reciente de Flash que actualmente ha de andar por la 22.

    • Reply Joan Carles Jun 27,2016 22:35

      Buenas Ramón

      Lo que dices no es del todo cierto porque Flash abandono el soporte para Linux y diria que para el resto de sistemas operativos poco le falta. En Linux únicamente se dedican a sacar parches de seguridad.

      En Linux la única forma existente para usar la versión 22 es usar el navegador Google Chrome porqué trae el plugin instalado de serie. Veremos hasta cuando…. A la que sales de Chrome, quieras o no quieras, tendrás que usar la 11.2.202.626.

      Quien quiera ver las versiones de flash existentes para los diferentes sistemas operativos puede consultar el siguiente enlace:

      https://www.adobe.com/es/software/flash/about/

      Saludos

  3. Reply Pancho Jun 28,2016 19:04

    Uso Debian y hace semanas tengo actualizado el mismo plugin flash a la version 11.2.202.616 y mozilla siempre me muestra ese mensaje de advertencia.

    • Reply Joan Carles Jun 28,2016 20:09

      Pues entonces el problema que tendrás es otro.

      Se me ocurre que podrías ir a los complementos de tu Firefox. Una vez dentro te vas al apartado de plugins y a posteriori comprobar que tengas el plugin Shockwave Flash en la lista. En el caso que lo tengas comprueba que en las opciones del plugin esté seleccionada la opción Activar Siempre.

      Saludos

  4. Reply gvcastellon Jun 29,2016 16:39

    En openSuSE estoy usando freshplayerplugin, lo pueden encontrar para otras distribuciones aquí, dejo captura del link recomendado por Joan Carles, donde se puede ver la version que me reporta sin instalar Flash Player.

    flash/about/

    Have a lot of Fun!!!

    • Reply Joan Carles Jun 29,2016 21:58

      Hola buenas

      Fresplayerplugin hace uso del plugin de Google Chrome. En otras palabras para funcionar usa el plugin de Flash de Google Chrome. Por esto en los resultados obtienes la versión que obtienes porque estás usando el plugin de Flash.

      Quien quiera usar Flah player plugin en ubuntu lo puede instalar siguiendo estas sencillas intrucciones.

  5. Reply Walter Chávez Sep 16,2016 23:51

    Hola, gracias por la ayuda, uso LMDE (linuxmint debian) tengo firefox y el plugin de flash esta actualizado, los videos de internet se ven entrecortados, también en pantalla completa, podrías comentarme que problema podría tener?

    • Reply Joan Carles Sep 17,2016 10:38

      Hola

      ¿Tu problema es con Firefox o con la totalidad de tus navegadores?

      ¿Te pasa en los vídeos que usan Flash o también te pasa en los vídeos que usan html?

      ¿Cuál es el hardware de tu equipo?

      Saludos

Deja un Comentario